#include<iostream>
#include<fstream>
#include<cmath>
#include<iomanip>
using namespace std;
int main()
{
	ifstream fi("N!!.INP");
	long long n;
	fi>>n;
	fi.close();
	ofstream fo("N!!.OUT");
	long long s=1;
	if(n%2==0)
    {
        for(long long i=2;i<=n;i=i+2)
            s=s*i;
    }
    else if(n%2!=0)
    {
        for (long long i=3;i<=n;i=i+2)
            s=s*i;
    }
    fo<<s;
}
